Name:           perl-HTTP-Tiny-Paranoid
Version:        0.07
Release:        1%{?dist}
Summary:        Safer HTTP::Tiny
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Tiny-Paranoid/
Source0:        http://www.cpan.org/authors/id/R/RO/ROBN/HTTP-Tiny-Paranoid-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make perl-interpreter perl-generators
BuildRequires:  perl(Class::Method::Modifiers)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Tiny) >= 0.070
BuildRequires:  perl(Net::DNS::Paranoid)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

%description
This module is a subclass of HTTP::Tiny that performs exactly one
additional function: before connecting, it passes the hostname to
Net::DNS::Paranoid. If the hostname is rejected, then the request is
aborted before a connect is even attempted.

%prep
%setup -q -n HTTP-Tiny-Paranoid-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Nov 20 2023 Chris Adams <linux@cmadams.net> 0.07-1
- initial package
